List Charges
curl --request GET \
--url https://pulsarpay.io/api/v1/agents/charges \
--header 'x-agent-key: <x-agent-key>'import requests
url = "https://pulsarpay.io/api/v1/agents/charges"
headers = {"x-agent-key": "<x-agent-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-agent-key': '<x-agent-key>'}};
fetch('https://pulsarpay.io/api/v1/agents/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cmnf6jwup00091rcvo4qevr42",
"idempotencyKey": "2207f602-c751-4b9b-98ae-456653bfe7b7",
"amount": 50,
"currency": "USDC",
"description": "AI Inference Service",
"status": "FAILED",
"createdAt": "2026-03-31T22:20:03.217Z"
}
],
"pagination": {
"total": 2,
"page": 1,
"limit": 50,
"totalPages": 1
}
}{
"error": "invalid or disabled agent key"
}Endpoint examples
List Charges
Retrieve a paginated list of all charges processed by the authenticated agent. Useful for reconciliation and auditing.
GET
/
api
/
v1
/
agents
/
charges
List Charges
Headers
The unique API key of the agent used for authentication.
Query Parameters
The page number to retrieve. Used for navigating through large datasets.
Maximum number of charge records to return per page.
⌘I

